Bitcoin Forum
December 05, 2016, 12:42:50 PM *
News: To be able to use the next phase of the beta forum software, please ensure that your email address is correct/functional.
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 [18] 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 »
  Print  
Author Topic: An (even more) optimized version of cpuminer (pooler's cpuminer, CPU-only)  (Read 1529062 times)
bitcoinraffle.co
Member
**
Offline Offline

Activity: 80


BitcoinRaffle.co


View Profile WWW
June 11, 2012, 01:14:18 AM
 #341

Not sure what you mean by "using" macports.  I just installed it, but it still didn't work.  Do I need to build minerd from source? 

50/50 Bitcoin Raffle!: 20 BTC Prize (50% to winner, 50% to winner's favorite charity), 0.01 BTC Tickets!
1480941770
Hero Member
*
Offline Offline

Posts: 1480941770

View Profile Personal Message (Offline)

Ignore
1480941770
Reply with quote  #2

1480941770
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
Phraust
Full Member
***
Offline Offline

Activity: 206


Mostly Harmless...


View Profile WWW
June 11, 2012, 02:44:51 AM
 #342

I was just wondering if you had it installed.  If not, and it threw that error, it might be a misconfiguration on my part.

Not really sure though.
pooler
Hero Member
*****
Offline Offline

Activity: 644


View Profile
June 11, 2012, 08:43:40 AM
 #343

I'm getting this error on OS X:

dyld: Library not loaded: /opt/local/lib/libidn.11.dylib
  Referenced from: /Users/longdongsilver/./minerd
  Reason: image not found
Trace/BPT trap: 5

Stupid question: did you try installing libidn via macports?
Also, what version of OS X are you running?

BTC: 15MRTcUweNVJbhTyH5rq9aeSdyigFrskqE · LTC: LTCPooLqTK1SANSNeTR63GbGwabTKEkuS7
bitcoinraffle.co
Member
**
Offline Offline

Activity: 80


BitcoinRaffle.co


View Profile WWW
June 11, 2012, 11:53:04 AM
 #344

I did that, but then I get:

dyld: Library not loaded: /opt/local/lib/libssl.1.0.0.dylib

I'm running 10.7.4

50/50 Bitcoin Raffle!: 20 BTC Prize (50% to winner, 50% to winner's favorite charity), 0.01 BTC Tickets!
Pontius
Full Member
***
Offline Offline

Activity: 225


View Profile
June 11, 2012, 01:55:07 PM
 #345

Now, let me try to make a list of the various errors that have been reported.

Code:
HTTP request failed: The requested URL returned error: 503
I tried mining at MaxBTC for a couple hours, but I was unable to reproduce the problem. I'll keep trying.
This one seems to be pool specific and is very rare. Let's ignore it.

Code:
HTTP request failed: Recv failure: Connection reset by peer
If we are to believe libcurl, this means that the connection was closed by the remote server.
I don't think there's much the miner can do to avoid the error, apart from silently ignoring it. Maybe I should consider doing that for the long polling connection?
Solved by setting the timeout (-T) to a value smaller 160s.

Code:
HTTP request failed: necessary data rewind wasn't possible
Under "normal" conditions, data rewind shouldn't be needed: it is usually only necessary for resuming interrupted uploads or for multi-pass authentication.
I suppose the "Operation timed out after 30001 milliseconds with 0 bytes received" error is linked to this.
Implementing data rewind is pretty simple in our case, and cannot do any harm, so I will try to implement it and see if anything changes.
Solved by your patch.

Thank you very much, pooler!
bitcoinraffle.co
Member
**
Offline Offline

Activity: 80


BitcoinRaffle.co


View Profile WWW
June 11, 2012, 03:07:14 PM
 #346

It's working like a champ now.  I had to reinstall libidn and curl using macports. 

Thanks guys.


Quote
I did that, but then I get:

dyld: Library not loaded: /opt/local/lib/libssl.1.0.0.dylib

I'm running 10.7.4

50/50 Bitcoin Raffle!: 20 BTC Prize (50% to winner, 50% to winner's favorite charity), 0.01 BTC Tickets!
Phraust
Full Member
***
Offline Offline

Activity: 206


Mostly Harmless...


View Profile WWW
June 11, 2012, 08:28:26 PM
 #347

It's working like a champ now.  I had to reinstall libidn and curl using macports. 

Thanks guys.

Awesome, thanks for the info.  I've updated the readme to reflect those dependancies in the zip file. Cheesy
film2240
Legendary
*
Offline Offline

Activity: 994


Professional filmmaker/Freelance videographer


View Profile WWW
July 11, 2012, 03:15:26 PM
 #348

Got an error with cpuminer:
Last login: Wed Jul 11 16:05:18 on ttys000
/Users/film2240/Downloads/CPUMINER-2/minerd ; exit;
Film2240s-MacBook-Pro:~ film2240$ /Users/film2240/Downloads/CPUMINER-2/minerd ; exit;
dyld: Library not loaded: /opt/local/lib/libcurl.4.dylib
  Referenced from: /Users/film2240/Downloads/CPUMINER-2/minerd
  Reason: Incompatible library version: minerd requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0
Trace/BPT trap
logout

[Process completed]

I'm not sure what this means and how to fix this easily.Can this app be made with a gui? As I really struggle with terminal.Maybe someone or pooler can make a quick gui that I can use to just start/stop and add pool/login info.Thanks

I'm running OSX 10.6.8 on my MBP and can a gui be made for windows as well please?

[This signature is available for rent]
[This signature is available for rent]
[This signature is available for rent]
[This signature is available for rent]
pooler
Hero Member
*****
Offline Offline

Activity: 644


View Profile
July 11, 2012, 03:34:45 PM
 #349

Got an error with cpuminer:
Last login: Wed Jul 11 16:05:18 on ttys000
/Users/film2240/Downloads/CPUMINER-2/minerd ; exit;
Film2240s-MacBook-Pro:~ film2240$ /Users/film2240/Downloads/CPUMINER-2/minerd ; exit;
dyld: Library not loaded: /opt/local/lib/libcurl.4.dylib
  Referenced from: /Users/film2240/Downloads/CPUMINER-2/minerd
  Reason: Incompatible library version: minerd requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0
If I remember correctly, the OS X binary available at GitHub was compiled on OS X 10.7, so this is probably just a version compatibility problem.

I'm not sure what this means and how to fix this easily.Can this app be made with a gui? As I really struggle with terminal.Maybe someone or pooler can make a quick gui that I can use to just start/stop and add pool/login info.Thanks

I'm running OSX 10.6.8 on my MBP and can a gui be made for windows as well please?
A portable GUI already exists.
https://bitcointalk.org/index.php?topic=62414.0
Linux and Windows binaries are available, and I'm sure it can also be compiled for OS X.

Alternatively, the Litecoin QT client has a mining page you can use to pool mine. Just put the cpuminer executable (minerd) in the same directory as litecoin-qt.

BTC: 15MRTcUweNVJbhTyH5rq9aeSdyigFrskqE · LTC: LTCPooLqTK1SANSNeTR63GbGwabTKEkuS7
Phraust
Full Member
***
Offline Offline

Activity: 206


Mostly Harmless...


View Profile WWW
July 12, 2012, 09:44:29 AM
 #350

Got an error with cpuminer:
Last login: Wed Jul 11 16:05:18 on ttys000
/Users/film2240/Downloads/CPUMINER-2/minerd ; exit;
Film2240s-MacBook-Pro:~ film2240$ /Users/film2240/Downloads/CPUMINER-2/minerd ; exit;
dyld: Library not loaded: /opt/local/lib/libcurl.4.dylib
  Referenced from: /Users/film2240/Downloads/CPUMINER-2/minerd
  Reason: Incompatible library version: minerd requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0
Trace/BPT trap
logout

[Process completed]

I'm not sure what this means and how to fix this easily.Can this app be made with a gui? As I really struggle with terminal.Maybe someone or pooler can make a quick gui that I can use to just start/stop and add pool/login info.Thanks

I'm running OSX 10.6.8 on my MBP and can a gui be made for windows as well please?

Most likely it's what pooler said.  I compiled it on osx 10.7.4, with updated versions of any dependancies and a couple seat-of-the-pants fixes.  You can try to upgrade libcurl yourself using macports, though I have no idea how risky it is with anything other than what I'm using.
film2240
Legendary
*
Offline Offline

Activity: 994


Professional filmmaker/Freelance videographer


View Profile WWW
July 12, 2012, 10:06:45 AM
 #351

Got an error with cpuminer:
Last login: Wed Jul 11 16:05:18 on ttys000
/Users/film2240/Downloads/CPUMINER-2/minerd ; exit;
Film2240s-MacBook-Pro:~ film2240$ /Users/film2240/Downloads/CPUMINER-2/minerd ; exit;
dyld: Library not loaded: /opt/local/lib/libcurl.4.dylib
  Referenced from: /Users/film2240/Downloads/CPUMINER-2/minerd
  Reason: Incompatible library version: minerd requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0
Trace/BPT trap
logout

[Process completed]

I'm not sure what this means and how to fix this easily.Can this app be made with a gui? As I really struggle with terminal.Maybe someone or pooler can make a quick gui that I can use to just start/stop and add pool/login info.Thanks

I'm running OSX 10.6.8 on my MBP and can a gui be made for windows as well please?

Most likely it's what pooler said.  I compiled it on osx 10.7.4, with updated versions of any dependancies and a couple seat-of-the-pants fixes.  You can try to upgrade libcurl yourself using macports, though I have no idea how risky it is with anything other than what I'm using.
I tried updating the libraries with macports,made no difference still the same error.I did download the copy that installs on snow leopard.Maybe its time to upgrade to lion when all my stuff compatible with it (special fx software,etc).Also pooler where is the directory on a mac for the litecoin-QT as I couldn't find it in the applications itself.I revealed package contents to find it,copied the miner and still no avail from the LTC client so I moved to 3rd party miners thinking they're better.

[This signature is available for rent]
[This signature is available for rent]
[This signature is available for rent]
[This signature is available for rent]
Phraust
Full Member
***
Offline Offline

Activity: 206


Mostly Harmless...


View Profile WWW
July 12, 2012, 10:27:52 AM
 #352

try installing libcurl with "sudo port install libcurl +universal"

THat one worked for me.
fanquake
Donator
Sr. Member
*
Offline Offline

Activity: 266


View Profile
July 12, 2012, 11:05:31 AM
 #353


A portable GUI already exists.
https://bitcointalk.org/index.php?topic=62414.0
Linux and Windows binaries are available, and I'm sure it can also be compiled for OS X.

Alternatively, the Litecoin QT client has a mining page you can use to pool mine. Just put the cpuminer executable (minerd) in the same directory as litecoin-qt.

If anyones interested, I might try and get it compiled for OS X.
film2240
Legendary
*
Offline Offline

Activity: 994


Professional filmmaker/Freelance videographer


View Profile WWW
July 12, 2012, 11:18:18 AM
 #354


A portable GUI already exists.
https://bitcointalk.org/index.php?topic=62414.0
Linux and Windows binaries are available, and I'm sure it can also be compiled for OS X.

Alternatively, the Litecoin QT client has a mining page you can use to pool mine. Just put the cpuminer executable (minerd) in the same directory as litecoin-qt.

If anyones interested, I might try and get it compiled for OS X.
I'd be happy to support this Fanquake. Once I get more BTC,I'll consider tipping you.Smiley

[This signature is available for rent]
[This signature is available for rent]
[This signature is available for rent]
[This signature is available for rent]
fanquake
Donator
Sr. Member
*
Offline Offline

Activity: 266


View Profile
July 12, 2012, 01:38:38 PM
 #355


A portable GUI already exists.
https://bitcointalk.org/index.php?topic=62414.0
Linux and Windows binaries are available, and I'm sure it can also be compiled for OS X.

Alternatively, the Litecoin QT client has a mining page you can use to pool mine. Just put the cpuminer executable (minerd) in the same directory as litecoin-qt.

If anyones interested, I might try and get it compiled for OS X.
I'd be happy to support this Fanquake. Once I get more BTC,I'll consider tipping you.Smiley

I've just built it, so I'll put up a download link shortly.
film2240
Legendary
*
Offline Offline

Activity: 994


Professional filmmaker/Freelance videographer


View Profile WWW
July 12, 2012, 01:46:02 PM
 #356


A portable GUI already exists.
https://bitcointalk.org/index.php?topic=62414.0
Linux and Windows binaries are available, and I'm sure it can also be compiled for OS X.

Alternatively, the Litecoin QT client has a mining page you can use to pool mine. Just put the cpuminer executable (minerd) in the same directory as litecoin-qt.

If anyones interested, I might try and get it compiled for OS X.
I'd be happy to support this Fanquake. Once I get more BTC,I'll consider tipping you.Smiley

I've just built it, so I'll put up a download link shortly.
Thanks.This is great news Fanquake Smiley

[This signature is available for rent]
[This signature is available for rent]
[This signature is available for rent]
[This signature is available for rent]
fanquake
Donator
Sr. Member
*
Offline Offline

Activity: 266


View Profile
July 12, 2012, 01:50:12 PM
 #357


A portable GUI already exists.
https://bitcointalk.org/index.php?topic=62414.0
Linux and Windows binaries are available, and I'm sure it can also be compiled for OS X.

Alternatively, the Litecoin QT client has a mining page you can use to pool mine. Just put the cpuminer executable (minerd) in the same directory as litecoin-qt.

If anyones interested, I might try and get it compiled for OS X.
I'd be happy to support this Fanquake. Once I get more BTC,I'll consider tipping you.Smiley

I've just built it, so I'll put up a download link shortly.
Thanks.This is great news Fanquake Smiley

There you go https://bitcointalk.org/index.php?topic=92903.0
pekv2
Hero Member
*****
Offline Offline

Activity: 770



View Profile
July 13, 2012, 01:24:05 AM
 #358

Receiving this error with LTC

Code:
HTTP request failed: necessary data rewind wasn't possible

Any idea how I can fix it? Was working fine but then I had to restore my OS image this morning, and when did so, I started up LTC and got the error.
pooler
Hero Member
*****
Offline Offline

Activity: 644


View Profile
July 13, 2012, 01:27:28 AM
 #359

Receiving this error with LTC

Code:
HTTP request failed: necessary data rewind wasn't possible

Any idea how I can fix it? Was working fine but then I had to restore my OS image this morning, and when did so, I started up LTC and got the error.

Could you please provide some more details, such as what options you are using?
Are you mining through a proxy?

BTC: 15MRTcUweNVJbhTyH5rq9aeSdyigFrskqE · LTC: LTCPooLqTK1SANSNeTR63GbGwabTKEkuS7
pekv2
Hero Member
*****
Offline Offline

Activity: 770



View Profile
July 13, 2012, 01:58:41 AM
 #360

Receiving this error with LTC

Code:
HTTP request failed: necessary data rewind wasn't possible

Any idea how I can fix it? Was working fine but then I had to restore my OS image this morning, and when did so, I started up LTC and got the error.

Could you please provide some more details, such as what options you are using?
Are you mining through a proxy?

No proxy.

Code:
minerd.exe --url http://litecoinpool.org/ --userpass removed:removed --threads 3

I also, doubled checked to make sure the time was synced with the internet.
Pages: « 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 [18] 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 »
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!